package com.persagy.apm.energy.report.monthly.config.function.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-05-20 19:05:36
 */
@Data
@ApiModel(value = "查询能耗报告信息点入参")
public class QueryFunctionDTO {
    @ApiModelProperty(value = "集团编码", required = true)
    private String groupCode;

    @ApiModelProperty(value = "能耗类型", required = true)
    private String energyType;

    @ApiModelProperty(value = "建筑类型（业态）", required = true)
    private String buildingType;

    @ApiModelProperty(value = "信息点类型（0-能耗，1-费用 ，2-能耗预算，3-费用预算）", required = true)
    private String functionType;

    @ApiModelProperty(value = "能耗模型编码", required = true)
    private String modelCode;

    @ApiModelProperty(value = "分项id", required = true)
    private String itemId;

}
